import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { CapabilityRequest } from "../model/capability-request";
import { Capability } from "../model/capability";

@Injectable({
  providedIn: "root",
})
export class DataRetrieverService {
  constructor(private httpClient: HttpClient) {}

  /**
   * Gets JSON representation of a capability request given an ID
   * @param id  The ID of the request
   */
  getCapabilityRequest(id: number): Observable<CapabilityRequest> {
    const url = `capability/request/${id}`;
    return this.httpClient.get<CapabilityRequest>(url);
  }
  /**
   * Gets JSON representation of a capability given a name
   * @param name  The name of the capability
   */
  getCapability(name: string): Observable<Capability> {
    const url = `capability/${name}`;
    return this.httpClient.get<Capability>(url);
  }
}
